body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    padding: 10px;
    box-sizing: border-box;
    visibility: hidden;
}

.input-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    margin-bottom: 5px;
    width: 100%;
    max-width: 1200px;
}

.concentration-container, .volume-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.concentration-container div, .volume-container div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    min-width: 150px;
}

input[type="number"] {
    width: 100%;
    box-sizing: border-box;
}

/* Centrování grafů */
.chart-container {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    max-width: 1200px;
    flex-wrap: wrap;
}

.chart-container.centered {
    justify-content: center;
}

.chart-wrapper {
    flex: 1 1 calc(50% - 20px);
    text-align: center;
    max-width: 450px;
}

canvas {
    max-width: 400px;
    max-height: 300px;
    width: 100%;
    aspect-ratio: 4 / 3;
}

.formula-container {
    margin-top: 5px;
    text-align: center;
}

.warning-message {
    color: red;
    font-weight: bold;
    margin-bottom: 5px;
    text-align: center;
}

.table-container {
    display: flex;
    gap: 20px;
    justify-content: center;
    margin-top: 10px;
}

/* Upravíme šířky sloupců tabulek */
table {
    border-collapse: collapse;
    width: 100%;
    max-width: 350px;
    table-layout: fixed;
}

table, th, td {
    border: 1px solid black;
}

th, td {
    padding: 10px;
    text-align: center;
}

/* První sloupec širší, druhý užší */
th:first-child, td:first-child {
    width: 70%;  /* První sloupec širší */
}

th:last-child, td:last-child {
    width: 30%;  /* Druhý sloupec užší */
}

.variant-selector {
    text-align: center;
    margin-bottom: 20px;
}

.toggle-btn {
    margin: 5px;
}
